CompanyProduct:
  description: A software product or service vended by a Company
  properties:
    ID:
      description: Record Id
      type: string
    AccountID:
      description: ID of the Company that owns this Product
      type: string
      x-nullable: true
    AccountNumber:
      description: Account Number
      type: string
      x-nullable: true
    AccountName:
      description: Account Name
      type: string
      x-nullable: true
    AccountPublish:
      description: Account Publish
      type: boolean
      x-nullable: true
    AccountWebsite:
      description: Account Website
      type: string
      x-nullable: true
    AccountEmail:
      description: Account Email
      type: string
      x-nullable: true
    AccountLogo:
      description: Account Logo
      type: string
      x-nullable: true
    AccountSlug:
      description: Account Slug
      type: string
      x-nullable: true
    AppExchange:
      description: Salesforce AppExchange URL
      type: string
      x-nullable: true
    Channels:
      description: The channels associated with the track (Multiselect Picklist).
      type: string
      x-nullable: true
    CreatedByID:
      description: Created By User ID
      type: string
      x-nullable: true
    CreatedDate:
      description: Created Date
      type: string
      x-nullable: true
    Description:
      description: Description of product
      type: string
      x-nullable: true
    FullDescription:
      description: Full Description of product
      type: string
      x-nullable: true
    ImageAltText:
      description: Image Alt Text
      type: string
      x-nullable: true
    ImageURL:
      description: Image URL
      type: string
      x-nullable: true
    Industries:
      description: Industries
      items:
        $ref: "./industry.yaml#/Industry"
      type: array
      x-nullable: true
    LastModifiedByID:
      description: Last Modified By User ID
      type: string
      x-nullable: true
    LastModifiedDate:
      description: Last Modified Date
      type: string
      x-nullable: true
    Logo:
      description: Logo
      type: string
      x-nullable: true
    Name:
      description: Product Name
      type: string
      x-nullable: true
    ProductVideoID:
      description: Product Video ID
      type: string
      x-nullable: true
    Published:
      description: Published
      type: boolean
      x-nullable: true
    SalesforceSpecific:
      description: Salesforce Specific
      type: boolean
      x-nullable: true
    Slug:
      description: Slug
      type: string
      x-nullable: true
    TagLine:
      description: TagLine
      type: string
      x-nullable: true
    URL:
      description: Website
      type: string
      x-nullable: true
  type: object
